-- awstats module

select
	count(query),
	substring(query,'screen=([0-9]+)x')::int4 as "x",
	substring(query,'screen=[0-9]+x([0-9]+)')::int4 as "y"
from
	query
where
	query ~ '[?]screen'
group by
	"x",
	"y"
order by
	count desc,
	"x" desc;

